#!/bin/csh -f

#** 
#   SCRIPT para processar os dados de PCDS disponiveis  na aroeira
#
#    AUTORES:        GRUPO DE PRE-PROCESSAMENTO 
#
#    
# **

# ** CONFICURAR VARIAVEIS DE AMBIENTE

set UNZIP = '/rede/unzip/unzip'
set PREPCDDIR = '/home/americo/PREPCD' 
set PCDTMPDIR = $PREPCDDIR'/DADOS_TMP'
cd $PCDTMPDIR
if ($4 == 01) then
 if ($5 == 00) then
  mkdir $2$3
 endif
endif
set PCDTMPDIR = $PREPCDDIR'/DADOS_TMP/'$2$3

# ** FTP PARA PEGAR OS DADOS DE PCDS NO DSA

cat << EOT2 > $PREPCDDIR/directivas_ftp.tmp
user cptec cptec. 
hash
bin
lcd $PCDTMPDIR
cd  PCD_MET
get PCDM.ZIP
cd  ../PCD_HIDRO
get PCDH.ZIP
quit
EOT2

ftp -in aroeira.cptec.inpe.br < $PREPCDDIR/directivas_ftp.tmp

# ** DESCOMPACTAR OS DADOS DAS PCDS

cd $PCDTMPDIR
rm -f *.TXT
#
$UNZIP PCDM
rm -f PCDM.ZIP
cd $PREPCDDIR  
ls $PCDTMPDIR/*.TXT > $PCDTMPDIR/inputmet.tmp
#
cd $PCDTMPDIR
$UNZIP PCDH
rm -f PCDH.ZIP
cd $PREPCDDIR  
ls $PCDTMPDIR/*.TXT > $PCDTMPDIR/inputhid.tmp
#
