#!/bin/csh -f
#
# Usage
#
# suite_pcd.csh normal (to run in cron)
#
# suite_pcd.csh manual yyyy mm dd hh mn
#
#
#
echo "Date...starting"
cd /home/americo/PREPCD/ 
if ($1 == 'normal') then
 set hoje  = `date +%Y%m%d%H%M`
 set hoje1 = `caldate.3.0.1 $hoje + 2h 'yyyy mm dd hh mn' | awk '{s=substr($1,1,4)}{print s}'`
 set hoje2 = `caldate.3.0.1 $hoje + 2h 'yyyy mm dd hh mn' | awk '{s=substr($2,1,2)}{print s}'`
 set hoje3 = `caldate.3.0.1 $hoje + 2h 'yyyy mm dd hh mn' | awk '{s=substr($3,1,2)}{print s}'`
 set hoje4 = `caldate.3.0.1 $hoje + 2h 'yyyy mm dd hh mn' | awk '{s=substr($4,1,2)}{print s}'`
 set hoje5 = `caldate.3.0.1 $hoje + 2h 'yyyy mm dd hh mn' | awk '{s=substr($5,1,2)}{print s}'`
else if ($1 == 'manual') then
 set hoje  = $2$3$4$5$6
 set hoje1 = `caldate.3.0.1 $hoje + 1h 'yyyy mm dd hh mn' | awk '{s=substr($1,1,4)}{print s}'`
 set hoje2 = `caldate.3.0.1 $hoje + 1h 'yyyy mm dd hh mn' | awk '{s=substr($2,1,2)}{print s}'`
 set hoje3 = `caldate.3.0.1 $hoje + 1h 'yyyy mm dd hh mn' | awk '{s=substr($3,1,2)}{print s}'`
 set hoje4 = `caldate.3.0.1 $hoje + 1h 'yyyy mm dd hh mn' | awk '{s=substr($4,1,2)}{print s}'`
 set hoje5 = `caldate.3.0.1 $hoje + 1h 'yyyy mm dd hh mn' | awk '{s=substr($5,1,2)}{print s}'`
else
 echo " Usage: "
 echo "       suite_pcd.csh normal (to run in cron)"
 echo "       suite_pcd.csh manual yyyy mm dd hh   "
 exit
endif
#
echo "Date...finished"
#
if ($1 == 'normal') then
 echo "Download...starting"
 cd /home/americo/PREPCD/ 
 ftp_dsa2here.csh ${1} ${hoje1} ${hoje2} ${hoje3} ${hoje4}
 echo "Download...finished"
endif
#
echo "Loop...starting"
if ($1 == 'normal') then
 set auxcount = '04 03 02 01'
else
 set auxcount = 01
endif
#
foreach count ($auxcount)
 cd /home/americo/PREPCD/ 
 set metok = 0
 set nodatafig = 0
 set aux = `caldate.3.0.1 ${hoje1}${hoje2}${hoje3}${hoje4} - ${count}h 'yyyymmddhh' | awk '{s=substr($1,9,2)}{print s}'`
# echo $aux
 if ($aux == 00) set metok = 1
 if ($aux == 03) set metok = 1
 if ($aux == 06) set metok = 1
 if ($aux == 09) set metok = 1
 if ($aux == 12) set metok = 1
 if ($aux == 15) set metok = 1
 if ($aux == 18) set metok = 1
 if ($aux == 21) set metok = 1
#
  set auxdata1 = `caldate.3.0.1 ${hoje1}${hoje2}${hoje3}${hoje4} - ${count}h 'yyyy mm dd hh' | awk '{s=substr($1,1,13)}{print s}'`
  set auxdata2 = `caldate.3.0.1 ${hoje1}${hoje2}${hoje3}${hoje4} - ${count}h 'yyyy mm dd hh' | awk '{s=substr($2,1,13)}{print s}'`
  set auxdata3 = `caldate.3.0.1 ${hoje1}${hoje2}${hoje3}${hoje4} - ${count}h 'yyyy mm dd hh' | awk '{s=substr($3,1,13)}{print s}'`
  set auxdata4 = `caldate.3.0.1 ${hoje1}${hoje2}${hoje3}${hoje4} - ${count}h 'yyyy mm dd hh' | awk '{s=substr($4,1,13)}{print s}'`
 if ($metok == 1) then
  cat DADOS_TMP/$auxdata1$auxdata2/inputmet.tmp > inputfile.tmp
  cat DADOS_TMP/$auxdata1$auxdata2/inputhid.tmp >> inputfile.tmp 
  pcd2bufr.x -bufr -txt -grads -date $auxdata1 $auxdata2  $auxdata3  $auxdata4 inputfile.tmp pcd
  foreach TIPO (pnm pl ts tx tn ur)
   SAIDA_TMP/grads_pcd.csh $TIPO $auxdata1$auxdata2$auxdata3$auxdata4
   set leng = `ls -ltr ${TIPO}_pcd$auxdata1$auxdata2$auxdata3$auxdata4.gif | awk '{print $5}'`
   if ( $leng < 40000 ) set nodatafig = 1
   echo $leng
   echo $nodatafig
  end
 else
  cat DADOS_TMP/$auxdata1$auxdata2/inputhid.tmp >> inputfile.tmp
  pcd2bufr.x -bufr -txt -grads -date $auxdata1 $auxdata2  $auxdata3  $auxdata4 inputfile.tmp pcd
  SAIDA_TMP/grads_pcd.csh pl $auxdata1$auxdata2$auxdata3$auxdata4
  set leng = `ls -ltr pl_pcd$auxdata1$auxdata2$auxdata3$auxdata4.gif | awk '{print $5}'`
  if ( $leng < 40000 ) set nodatafig = 1 
  echo $leng
  echo $nodatafig
 endif
#
 if ($nodatafig == 1 ) then
  rm -f *pcd$auxdata1$auxdata2$auxdata3$auxdata4.*
 else
# rm -f pcd$auxdata1$auxdata2$auxdata3$auxdata4.rdb 
# rm -f pcd$auxdata1$auxdata2$auxdata3$auxdata4.bin 
# rm -f pcd$auxdata1$auxdata2$auxdata3$auxdata4.dat 
  rm -f pcd$auxdata1$auxdata2$auxdata3$auxdata4.log 
  rm -f pcd$auxdata1$auxdata2$auxdata3$auxdata4.ctl
  rm -f pcd$auxdata1$auxdata2$auxdata3$auxdata4.map
  mv -f *_pcd$auxdata1$auxdata2$auxdata3$auxdata4.gif pcd$auxdata1$auxdata2$auxdata3$auxdata4.rdb pcd$auxdata1$auxdata2$auxdata3$auxdata4.dat pcd$auxdata1$auxdata2$auxdata3$auxdata4.bin figuras/
 endif
#
end
#
if ($1 == 'normal' ) then
 set auxdata = `caldate.3.0.1 ${hoje1}${hoje2}${hoje3}${hoje4} - 1d1h 'yyyymmddhh' | awk '{s=substr($1,1,10)}{print s}'`
 echo ${auxdata}
 rm -f figuras/*pcd${auxdata}.gif figuras/*pcd${auxdata}.dat figuras/*pcd${auxdata}.rdb figuras/*pcd${auxdata}.bin
endif
#
rm -f directivas_ftp.tmp inputfile.tmp
rm -f pcd.gs
#
echo "Loop...finished"
if ($1 == 'normal') then
 cd /home/americo/PREPCD/
 echo "Upload...starting"
 ftp_here2tucupi.ksh
 echo "Upload...finished"
 exit
else
 exit
endif